# Node.js Interop for Dart
![Dart](https://img.shields.io/badge/dart-%3E%3D2.0-brightgreen.svg) ![Node.js](https://img.shields.io/badge/node-%3E%3D8.9-brightgreen.svg) ![Release](https://img.shields.io/pub/v/nodejs_interop.svg) ![License](https://img.shields.io/badge/license-MIT-blue.svg) ![Coverage](https://coveralls.io/repos/github/cedx/nodejs-interop.dart/badge.svg) ![Build](https://travis-ci.org/cedx/nodejs-interop.dart.svg)

[Node.js](https://nodejs.org) interoperability for [Dart](https://www.dartlang.org).

## Resources
- [Documentation](https://cedx.github.io/nodejs-interop.dart)
- [API reference](https://cedx.github.io/nodejs-interop.dart/api)
- [Pub package](https://pub.dartlang.org/packages/nodejs_interop)
- [GitHub repository](https://github.com/cedx/nodejs-interop.dart)

## Requirements
- The latest [Dart SDK](https://www.dartlang.org) and [Pub](https://pub.dartlang.org) versions.
- The latest [Node.js](https://nodejs.org) and [npm](https://www.npmjs.com) versions.

If you plan to play with the sources, you will also need the latest [Grinder](http://google.github.io/grinder.dart) version.

## Unit tests
In order to run the tests, you must install the [Node.js](https://nodejs.org) test dependencies by running the following command:

```shell
$ npm install
```

Then, you can launch the test runner from the command prompt:

```shell
$ pub run test
```

## License
[Node.js Interop for Dart](https://cedx.github.io/nodejs-interop.dart) is distributed under the MIT License.
