# Node.js Interop <small>for Dart</small>
[Node.js](https://nodejs.org) interoperability for [Dart](https://www.dartlang.org).

!!! danger "Not production ready"
    Consider using an alternative package, like
    [node_interop](https://pub.dartlang.org/packages/node_interop)
    or [nodejs](https://pub.dartlang.org/packages/nodejs).

## Quick start
Append the following line to your project's `pubspec.yaml` file:

```yaml
dependencies:
  nodejs_interop: *
```

Install the latest version of **Node.js Interop for Dart** with [Pub](https://www.dartlang.org/tools/pub):

```shell
pub get
```

For detailed instructions, see the [installation guide](installation.md).
